Skip to content
Dashboard

Get a post status by ID

GET/v2/post_statuses/{id}

Retrieves a single post status by its unique identifier.

Returns the full post status object including name, color, type, and default flag.

Path ParametersExpand Collapse
id: string

Post status unique identifier

Header ParametersExpand Collapse
"Featurebase-Version": optional "2026-01-01.nova" or "2025-12-12.clover"
One of the following:
"2026-01-01.nova"
"2025-12-12.clover"
ReturnsExpand Collapse
PostStatus object { id, color, isDefault, 3 more }
id: string

Unique identifier

color: string

Color for UI display

isDefault: boolean

Whether this is the default status for new posts

name: string

Display name

object: "post_status"

Object type identifier

type: "reviewing" or "unstarted" or "active" or 2 more

The workflow stage this status represents

One of the following:
"reviewing"
"unstarted"
"active"
"completed"
"canceled"

Get a post status by ID

curl https://do.featurebase.app/v2/post_statuses/$ID \
    -H "Authorization: Bearer $FEATUREBASE_API_KEY"
{
  "id": "507f1f77bcf86cd799439011",
  "color": "Blue",
  "isDefault": false,
  "name": "In Progress",
  "object": "post_status",
  "type": "active"
}
Returns Examples
{
  "id": "507f1f77bcf86cd799439011",
  "color": "Blue",
  "isDefault": false,
  "name": "In Progress",
  "object": "post_status",
  "type": "active"
}